import { useAjax } from "@/Hook/useAjax"
import { delRoleApi } from "@/services/iaaSystem/power"
import { Button, Popconfirm } from "antd"
import React from "react"

interface Props {
    userId: number
    onChange?: () => void
}

/**
 * 删除
 * @param param0 
 * @returns 
 */
const DelPower: React.FC<Props> = ({userId, onChange}) => {
    
    /********************************/
    const delRole = useAjax((params) => delRoleApi(params))
    /********************************/

    const confirm = () => {
        delRole.run({ id: userId }).then(res => {
            if (res?.data) {
                onChange?.()
            }
        })
    }

    return <Popconfirm
        title="确定删除?"
        onConfirm={confirm}
    >
        <Button type="link" loading={delRole.loading} danger style={{ padding: 0, height: 'auto' }} >删除</Button>
    </Popconfirm>
}

export default React.memo(DelPower)