import { ProColumns } from "@ant-design/pro-table";
import React from "react";
import DelPower from "./delPower";


const tableConfig = (handleEdit: (data: any) => void, roleTypeEnum: any, userObj: any) => {

    const columns: ProColumns<any>[] = [
        {
            title: '用户名称',
            dataIndex: 'userName',
            width: 100,
            search: false
        },
        {
            title: '用户ID',
            key: 'userId',
            dataIndex: 'userId',
            align: 'center',
            width: 80,
            hideInSearch: true
        },
        {
            title: '用户',
            dataIndex: 'userId',
            hideInTable: true,
            valueEnum: userObj
        },
        {
            title: '权限类型',
            dataIndex: 'authType',
            align: 'center',
            width: 100,
            valueEnum: roleTypeEnum
        },
        {
            title: '创建人',
            dataIndex: 'createBy',
            search: false,
            align: 'center',
            width: 100,
            valueEnum: userObj
        },
        {
            title: '更新人',
            dataIndex: 'updateBy',
            search: false,
            align: 'center',
            width: 100,
            valueEnum: userObj
        },
        {
            title: '创建时间',
            dataIndex: 'createTime',
            search: false,
            align: 'center',
            width: 140
        },
        {
            title: '操作',
            key: 'option',
            valueType: 'option',
            render: (_, row, index, action) => [
                <a key={'xg'} onClick={() => { handleEdit(row); }} >编辑</a>,
                <div key={'delete'}><DelPower
                    userId={row.userId}
                    onChange={() => action?.reload()}
                /></div>
            ],
        },
    ];
    return columns
}

export default tableConfig